
From: Chris Mason <mason@suse.com>

reiserfs_write_super_lockfs() is supposed to wait for the transaction to
commit.


---

 25-akpm/fs/reiserfs/super.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/reiserfs/super.c~lockfs-reiserfs-fix fs/reiserfs/super.c
--- 25/fs/reiserfs/super.c~lockfs-reiserfs-fix	Mon Apr 19 15:29:14 2004
+++ 25-akpm/fs/reiserfs/super.c	Mon Apr 19 15:29:14 2004
@@ -86,7 +86,7 @@ static void reiserfs_write_super_lockfs 
     reiserfs_prepare_for_journal(s, SB_BUFFER_WITH_SB(s), 1);
     journal_mark_dirty(&th, s, SB_BUFFER_WITH_SB (s));
     reiserfs_block_writes(&th) ;
-    journal_end(&th, s, 1) ;
+    journal_end_sync(&th, s, 1) ;
   }
   s->s_dirt = 0;
   reiserfs_write_unlock(s);

_
